### Method

# Gsk RenderReplay set_font_filter

since: 4.22

#### Declaration [src]

    void
    gsk_render_replay_set_font_filter (
      GskRenderReplay* self,
      GskRenderReplayFontFilter filter,
      gpointer user_data,
      GDestroyNotify user_destroy
    )

#### Description [src]

Sets a filter function to be called by `gsk_render_replay_default()` for nodes that contain fonts.

You can call `gsk_render_replay_filter_font()` to filter a font yourself.

Available since: 4.22

#### Parameters

`filter`

  Type: `GskRenderReplayFontFilter`

  the font filter function.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `filter`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`user_destroy`

  Type: `GDestroyNotify`

  Destroy notify that will be called to release the user data parameter.